> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Account Type

> Get a list of all Account Types for which the user has permissions.



## OpenAPI

````yaml /openapi/platform/accounts.yaml GET /v1/account-types
openapi: 3.1.0
info:
  title: Account API
  version: '1.0'
  description: "## The Account Object\nThe Account API allows you to create, update, validate and share accounts in Domo. If you would like to manage a large number of accounts at scale from agencies or other 3rd party vendors that you currently manage individually through the Data Center in Domo, the Accounts API makes that possible.\n\n<Note>\n<!-- theme: info -->\n> ### Note\n>\n>The Accounts API will only return information for accounts you own or for accounts that have been shared with you in Domo.\n\n## Account Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| id | String |\tThe ID of the Account |\n| name | String\t| The name of the Account |\n| type | Object\t| The type of the Account |\n| valid\t| Boolean | Indicates if the Account needs to be re-authorized or not |\n\n## Account's Type Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| id | String | The ID of the Account Type |\n| name | String | The name of the Account Type |\n| templates | Object | The Template that defines the properties required to create an Account of this type |\n\n## Account Type's Template Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| title\t| String | The title of the Template |\n| contentType | String | The content-type header when sending the request to create an Account |\n| method | String | The HTTP method used when creating the Account |\n| properties | Array | The properties available to be sent when creating an Account |\n| name | String\t| The name of the Account Type |\n| templates | Object |The Template that defines the properties required to create an Account of this type |\n\n## Account Share Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| user\t| Object | The User to share the Account with. Only the User's id attribute is required. See the Users API for more information |\n\n"
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/account-types:
    parameters: []
    get:
      tags: []
      summary: List Account Types
      description: Get a list of all Account Types for which the user has permissions.
      parameters:
        - schema:
            type: number
          in: query
          name: limit
          description: >-
            The number of Account Types to return in the list. The default is 50
            and the maximum is 500.
        - schema:
            type: number
          in: query
          name: offset
          description: >-
            The offset of the Account Types to begin list of Account Types
            within the response.
      responses:
        '200':
          description: >-
            Returns all Account Type objects that meet argument criteria from
            original request.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                x-examples:
                  Example 1:
                    - id: basecamp
                      name: Basecamp
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````